# $Revision: 1.30 $, $Date: 2008-01-06 23:08:01 $
# TODO:
# - what about suggesting to install GRUB? GRUB has EA: %{ix86}
Summary:	Wrapper for managing boot services
Summary(pl.UTF-8):	Skrypty do zarządzania bootloaderami
Name:		rc-boot
Version:	1.1
Release:	6
License:	GPL
Group:		Base
Source0:	%{name}-%{version}.tar.gz
# Source0-md5:	2a6e4d604d938ab7567e419c21725d88
Source1:	PLD.image
Patch0:		%{name}-prefer-PLD.patch
Requires:	rc-boot-bootloader
Requires:	sed
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_sysconfdir	/etc/sysconfig/rc-boot

%description
Wrapper for managing boot services.

%description -l pl.UTF-8
Skrypty do zarządzania bootloaderami.

%package -n rc-boot-image-PLD
Summary:	PLD image for rc-boot
Summary(pl.UTF-8):	Obraz PLD dla rc-boot
Group:		Base
Requires:	rc-boot

%description -n rc-boot-image-PLD
PLD image for rc-boot.

%description -n rc-boot-image-PLD -l pl.UTF-8
Obraz PLD dla rc-boot.

%prep
%setup -q
%patch0 -p1
mv doc/Assum{tp,pt}ions # typo ;)

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/sbin,%{_sysconfdir}/images,%{_mandir}/man8}

install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/images/PLD

install src/rc-boot	$RPM_BUILD_ROOT/sbin
install doc/config	$RPM_BUILD_ROOT%{_sysconfdir}
install doc/rc-boot.8	$RPM_BUILD_ROOT%{_mandir}/man8

%clean
rm -rf $RPM_BUILD_ROOT

%postun -n rc-boot-image-PLD
/sbin/rc-boot 1>&2 || :

%post -n rc-boot-image-PLD
/sbin/rc-boot 1>&2 || :

%files
%defattr(644,root,root,755)
%doc doc/{Assumptions,Authors,BUGS,README,config,image}
%attr(754,root,root) /sbin/rc-boot
%attr(750,root,root) %dir %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/config
%attr(750,root,root) %dir %{_sysconfdir}/images
%{_mandir}/man8/*

%files -n rc-boot-image-PLD
%defattr(644,root,root,755)
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/images/PLD

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: rc-boot.spec,v $
Revision 1.30  2008-01-06 23:08:01  arvenil
- rm "R: bootloader"
- R: rc-boot-bootloader
- reverted add "S: rc-boot-lilo" - mistake (thanks to qbosh)
- s#/etc/sysconfig/rc-boot#%{_sysconfdir}#
- dropped Conflicts (not needed anymore)

Revision 1.29  2008-01-05 13:58:24  arvenil
- S: rc-boot-lilo
- added TODO

Revision 1.28  2008-01-04 19:43:02  arvenil
- no need to check if rc-boot binary exist becouse we require rc-boot

Revision 1.27  2008-01-03 18:24:31  arvenil
- added image config for rc-boot (default PLD image)
- added patch - prefer PLD image when default is not selected
- release 6

Revision 1.26  2007-02-12 22:09:12  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:30  baggins
- converted to UTF-8

Revision 1.24  2005/05/24 19:58:12  glen
- typo

Revision 1.23  2004/10/10 01:26:29  havner
- rel 5

Revision 1.22  2004/09/20 00:07:42  havner
- [mass commit] rel up for amd64 rebuild

Revision 1.21  2003/11/24 12:32:15  averne
- updated release

Revision 1.20  2003/05/28 13:01:37  malekith
- massive attack: source-md5

Revision 1.19  2003/05/25 06:26:13  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.18  2002/11/09 15:10:48  gotar
- Source0 URL was invalid,
- Requires: sed,
- cosmetics,
- release 2.

Revision 1.17  2002/08/20 16:59:50  grzegorz
- some cleanups
- new %doc

Revision 1.16  2002/08/20 16:29:58  dobrek
- Updated to 1.1

Revision 1.16  2002/05/22 20:03:24  blues
- added ALIAS viariable for lilo (I don't know if grub supports it...)
- changed version in included spec
- changed behaviour of DEBUG and documented in config it

Revision 1.15  2001/10/18 13:15:09  malekith
sync with SPECS/rc-boot.spec

Revision 1.12  2001/10/18 13:11:53  malekith
ver 1.0.0

Revision 1.14  2001/07/11 15:15:57  klakier
- spec ver 0.7.2

Revision 1.13  2001/07/11 14:18:49  dobrek
- WHERE_THE_LOADER_IS_INSTALLED --- > STAGE2
- VERSION 0.7.2

Revision 1.12  2001/07/09 15:34:42  dobrek
- added support for "auto" in WHERE_THE_LOADER_IS_INSTALLED
- added rule for rpm to Makefile.
- added support for LOADER in config file.
- Version seted to 0.7

Revision 1.11  2001/06/25 11:58:53  klakier
- more typos

Revision 1.10  2001/06/19 12:31:31  dobrek
- Added support for BOOT=mbr and ROOT=auto. In case of this setings
  rc-boot should try to find the answer by its own. Mayby usefull.
- Makefile with usefull entry dist, install.
- doc/VERSION file with the program version.
- And last but not the least for expalnation of the meaning of the word
  "automatically" see doc/config footnote [1]

Revision 1.9  2001/05/03 10:11:47  dobrek
-Added man page

Revision 1.4  2001/04/08 12:01:52  dobrek
-Updated to 0.4

Revision 1.3  2001/03/22 17:28:54  malekith
Fixes, works now. Ver 0.3, stbr
cec02917f43b14c71d1aa79e2dc6beb4  rc-boot-0.3.tar.gz

Revision 1.2  2001/03/22 14:05:48  misiek
more macros; stb

Revision 1.1  2001/03/21 15:35:39  malekith
Available for testing :>

Revision 1.7  2001/03/21 15:27:28  malekith
Ver: 0.2
removed obsolute files, changed config defaults
to be reasonable.

Revision 1.6  2001/03/18 21:04:24  dobrek
-A lot of changes. Mainly in the direction of don't let user to do anything stupid.
 No it can be a litle pesadito. But who cares?
-Grub done but need a lot of tests.
-Lilo almoust done.

Revision 1.5  2001/02/19 11:41:34  malekith
fixed spec and default configs. should now work
ok after build

Revision 1.4  2001/02/17 11:40:53  malekith
fixed removal of link in preun according to wiget's suggestion
on list.

Revision 1.3  2001/02/15 16:02:44  malekith
fixed wrong path for functions.sh
added removal of it after deinstalation.

Revision 1.2  2001/02/15 15:26:29  malekith
updated to use just one bootloader at a time.
fixed spec to build separate packages for each bootloader.
fixed permissions to allos 600 not only 640.

Revision 1.1.1.1  2001/02/07 12:54:03  dobrek
- Initial import.
- Some documentation in rc-boot/doc
